package com.srs.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 学生心理问题评级表  知无涯
 */
public class StudentMentalRating extends BaseEntity {

    private static final long serialVersionUID = 1L;
    private Long id;
    private String studentId;
    private String rating;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getRating() {
        return rating;
    }

    public void setRating(String rating) {
        this.rating = rating;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedTime;
}